<?php

/*
 * @Description: Post Share Button.
 * @Created by: Md Mahbub Alam Khan
 * @Since: 1.0.7
 * @Created at: 20-02-2015
*/


add_shortcode('bpvm_share', 'bpvmVotingShareBtns');

function bpvmVotingShareBtns($atts)
{

     extract(shortcode_atts(array(
          'post_id' => ''
     ), $atts));

     $bpvm_post_title = get_the_title($post_id);
     $bpvm_post_url = get_permalink($post_id);

     return '<br /><span class="bpvm-share-links"> <strong>' . esc_html__('Share : ', "bwl-pro-voting-manager") . '</strong>&nbsp;  

                        <a class="btn-share pvm_share" href="https://twitter.com/share?url=' . $bpvm_post_url . '&amp;text=' . $bpvm_post_title . '" title="Tweet It">
                           <i class="fa fa-twitter"></i>
                        </a>

                        <a class="btn-share pvm_share" href="http://www.facebook.com/sharer.php?u=' . $bpvm_post_url . '" title="Share at Facebook">
                             <i class="fa fa-facebook"></i>
                        </a>

                        <a class="btn-share pvm_share" href="http://pinterest.com/pin/create/button/?url=' . $bpvm_post_url . '" title="Share at Pinterest">
                            <i class="fa fa-pinterest"></i>
                        </a>

                        <a class="btn-share pvm_share" href="http://www.linkedin.com/shareArticle?mini=true&amp;url=' . $bpvm_post_url . '" title="Share at LinkedIn">
                             <i class="fa fa-linkedin"></i>
                        </a>

                        <a class="btn-share pvm_share" href="http://www.tumblr.com/share/link?url=' . $bpvm_post_url . '&amp;name=' . $bpvm_post_title . '" title="Share at Tumblr">
                            <i class="fa fa-tumblr"></i>
                        </a>

                        <a class="btn-share" href="mailto:?subject=' . $bpvm_post_title . '&amp;body=' . $bpvm_post_url . '" title="Share via Email">
                             <i class="fa fa-envelope-o"></i>
                        </a>

            </span>';
}
