<div class="wrap bpvm-plugin-wrap">

  <h2>BWL Pro Voting Manager</h2>

  <?php


  $bpvm_addons = [

    [
      'title' => "Recaptcha Addon",
      'info' => "Recaptcha Addon For BWL Pro Voting Manager adds an extra layer of security check and restrict fake voting from bots. This addon automatically added a custom Recaptcha window to the voting button. Users need to check or answer the captcha images to submit the vote.",
      'version' => "1.0.0",
      'doc' => "https://xenioushk.github.io/docs-plugins-addon/bpvm-addon/recap/index.html",
      'download' => 'https://1.envato.market/recaptcha-addon'
    ],

    [
      'title' => 'Undo My Vote Addon',
      'info' => 'This addon automatically added a custom undo button to the voting box, so user can easily undo their vote. Also, admin users can limit the number of undo for the users vote.',
      'version' => '1.0.1',
      'doc' => "https://xenioushk.github.io/docs-plugins-addon/bpvm-addon/umva/index.html",
      'download' => 'https://1.envato.market/umv-addon'
    ],

    [
      'title' => 'User Vote Tracker',
      'info' => 'This Addon allows you to display custom voting report page any where of your site using shortcode. Addon automatically added a custom report page in admin panel, so user can easily track their previous voted items.',
      'version' => '1.0.3',
      'doc' => "https://xenioushk.github.io/docs-plugins-addon/bpvm-addon/uvta/index.html",
      'download' => 'https://bluewindlab.net/portfolio/user-vote-tracker-bwl-pro-voting-manager-addon/'
    ],

    [
      'title' => 'WooCommerce Product Voting Addon',
      'info' => 'You can add unlimited number of knowledge base post as product knowledgebase items and using drag drop feature sort them according to your choice.',
      'version' => '1.0.7',
      'doc' => "https://xenioushk.github.io/docs-plugins-addon/bpvm-addon/wpva/index.html",
      'download' => 'https://bluewindlab.net/portfolio/woocommerce-product-voting-addon/'
    ]

  ]

  ?>

  <div class="bwl-plugin-grid bwl-plugin-grid--cols-3">

    <?php foreach ($bpvm_addons as $addon) : ?>

      <div class="bpvm-addon-list__card">

        <h3><?php echo $addon['title'] ?></h3>

        <?php echo (isset($addon['info'])) ? "<p>" . $addon['info'] . "</p>" : ""; ?>

        <div class="btn-container">
          <a href="<?php echo $addon['download'] ?>" target="_blank" class="btn btn--download"><?php esc_html_e('Download', "bwl-pro-voting-manager"); ?></a>
          <a href="<?php echo $addon['doc'] ?>" target="_blank" class="btn btn--documentation"><?php esc_html_e('Documentation', "bwl-pro-voting-manager"); ?></a>
        </div>
      </div>

    <?php endforeach ?>


  </div>

</div>